----------------------------------------------------
-- 此文件由数据工具生成
-- 配置数据--arena_champion_data.xml
--------------------------------------

Config = Config or {} 
Config.ArenaChampionData = Config.ArenaChampionData or {}

-- -------------------const_start-------------------
Config.ArenaChampionData.data_const_length = 30
Config.ArenaChampionData.data_const = {
	["time_score_start"] = {val={21,0,5}, desc="积分赛开始时间"},
	["time_score_ready"] = {val=30, desc="积分赛准备时间"},
	["time_score_guess"] = {val=90, desc="积分赛下注时间"},
	["time_score_fight"] = {val=180, desc="积分赛战斗时间"},
	["time_champion_ready"] = {val=30, desc="32强冠军赛准备时间"},
	["time_champion_guess"] = {val=90, desc="32强冠军赛下注时间"},
	["time_champion_fight"] = {val=180, desc="32强冠军赛战斗时间"},
	["base_power"] = {val=100000, desc="机器人基本战力（没有真实玩家时使用)"},
	["base_lev"] = {val=60, desc="机器人基本等级（没有一个真实玩家时使用）"},
	["face_list"] = {val={131001,131002,121001,121003,111001,111002,111004,111005,111006,132001,122001,122002,112001,112002,112003,112006,133001,133002,123003,113001,113002,113004,113006,124003,124001,124002,114001,114002,114003,114004,125002,125001,115001,115002,115003,115005,136002,136001,126003,116001,116002,116003,116004,116006}, desc="机器人头像信息"},
	["look_list"] = {val={111001,111002,111004,111005,111006,121001,121003,112001,112002,112003,112006,122001,122002,113001,113002,113004,113006,123003,123004,114001,114002,114003,114004,124002,115001,115002,115003,115005,125001,116001,116002,116003,116004,116006,126001,126003,131001,131002,132001,132002,133001,133002,124001,124003,125002,136001,136002}, desc="机器人外观信息"},
	["time_champion_end"] = {val={1,23,59,59}, desc="冠军赛结束时间"},
	["guess_number1"] = {val=60, desc="积分赛每轮给予的筹码数量"},
	["guess_number2"] = {val=60, desc="32强赛每轮给予的筹码数量"},
	["guess_limit"] = {val=1000, desc="竞猜单次押注上限"},
	["guess_times"] = {val=2000, desc="竞猜成功获得的竞猜币倍数"},
	["guess_coin"] = {val=10, desc="竞猜币每次加减数量"},
	["battle_members"] = {val=128, desc="积分赛参赛资格数量"},
	["battel_score"] = {val=80, desc="循环赛积分加成系数"},
	["base_score"] = {val=600, desc="机器人初始积分"},
	["score_arg"] = {val=80, desc="机器人积分系数"},
	["battle_champion"] = {val=90003, desc="冠军赛冠军称号"},
	["battle_secondplace"] = {val=90004, desc="冠军赛亚军称号"},
	["battle_thirdplace"] = {val=90005, desc="冠军赛季军称号"},
	["battel_guess"] = {val={{0,50},{51,80},{81,100}}, desc="竞猜筛选战力差范围（三轮筛选）"},
	["combat_down"] = {val=900, desc="填充玩家镜像数据机器人的战力衰减（千分比）"},
	["wave_lev_max"] = {val=15, desc="等级波动上限"},
	["wave_lev_min"] = {val=40, desc="等级波动下限"},
	["hero_bid_limit"] = {val={20504}, desc="剔除拥有该英雄的阵容"},
	["is_open"] = {val=1, desc="是否开启 - 1：是；0：否"}
}
Config.ArenaChampionData.data_const_fun = function(key)
	local data=Config.ArenaChampionData.data_const[key]
	if DATA_DEBUG and data == nil then
		print('(Config.ArenaChampionData.data_const['..key..'])not found') return
	end
	return data
end
-- -------------------const_end---------------------


-- -------------------awards_start-------------------
Config.ArenaChampionData.data_awards_length = 11
Config.ArenaChampionData.data_awards = {
{min=1, max=1, items={{50012,1},{8,6000},{1,240000}}},
{min=2, max=2, items={{50013,1},{8,5000},{1,200000}}},
{min=3, max=3, items={{50014,1},{8,4000},{1,180000}}},
{min=4, max=4, items={{8,3500},{1,160000}}},
{min=5, max=8, items={{8,3000},{1,144000}}},
{min=9, max=16, items={{8,2700},{1,128000}}},
{min=17, max=32, items={{8,2500},{1,120000}}},
{min=33, max=50, items={{8,2100},{1,104000}}},
{min=51, max=80, items={{8,1700},{1,88000}}},
{min=81, max=100, items={{8,1500},{1,80000}}},
{min=101, max=128, items={{8,1000},{1,72000}}}
}
-- -------------------awards_end---------------------


-- -------------------explain_start-------------------
Config.ArenaChampionData.data_explain_length = 5
Config.ArenaChampionData.data_explain = {
	[1] = {id=1, title="အေျခခံစည္းကမ္း", desc="1. Ring matchသည္ လူေ႐ြးပြဲစဥ္ ႏွင့္အဆင့္ 32 ထိ ပြဲစဥ္ ပါဝင္မည္ \n2. Arena ပြဲတိုင္း၏<div fontcolor=#d95014> 3</div> ရက္ေန႔ႏွင့္<div fontcolor=#d95014> 6</div> ရက္ေန႔တြင္,<div fontcolor=#d95014> အဆင့္ပြဲစဥ္၏ ေရွ႕ 128 ေယာက္ကို ေ႐ြးခ်ယ္မည္</div> ကစားသူသည္ အလိုအေလ်ာက္ ၿပိဳင္ပြဲတြင္ ပါဝင္ႏိုင္မည္ \n3. ၿပိဳင္ပြဲပုံစံသည္ 1V1 စနစ္ ပုံစံမ်ိဳးျဖစ္သည္ \n4. အကယ္၍ ၿပိဳင္ပြဲတြင္ တိုက္ခိုက္ေရး အခ်ိန္ေက်ာ္လြန္သြားပါက , တစ္ဖက္သူကို Damage အမ်ားဆုံးထိေစႏိုင္သူမွ အႏိုင္ရမည္"},
	[2] = {id=2, title="လူေ႐ြးပြဲစည္းမ်ဥ္း", desc="1. လူေ႐ြးပြဲသည္ ထိုေန႔<div fontcolor=#d95014>21:05 တြက္ စတင္မည္</div>, စုစုေပါင္း ပြဲစဥ္ 6 ခုရွိမည္.  ပြဲတိုင္းတြင္ျပင္ဆင္မႈအပိုင္း (ပြဲစဥ္လူဇယားေျပာင္းလဲျခင္း) , ေလာင္းေၾကးထပ္ျခင္း(ပါဝင္ျခင္းႏွင့္ ေၾကးထပ္ကစားျခင္း)  ႏွင့္ တိုက္ခိုက္ျခက္းအပိုင္း တို႔ပါဝင္မည္\n2. ပြဲစဥ္တိုင္းတြင္ အႏိုင္ရပါက ပြဲစဥ္အမွတ္မ်ရရွိမည္, ရႈံးလွ်င္မရရွိႏိုင္ပါ \n3. ေနာက္ဆုံးရမွတ္ေပါင္းသည္ လူေ႐ြးပြဲရမွတ္ႏွင့္ အဆင့္ပြဲစဥ္မွ သတ္မွတ္ခ်က္တစ္ျခအထိေသာရမွတ္ ေပါင္းျဖစ္သည္.  စုစုေပါင္း ရမွတ္ အမ်ားဆုံး  32 ေယာက္သည္ အဆင့္ 32 ၿပိဳင္ပြဲစဥ္တြင္ပါဝင္ႏိုင္မည္."},
	[3] = {id=3, title="Top 32 ပြဲစည္းမ်ဥ္း", desc="1. အဆင့္ 32 ၿပိဳင္ပြဲ သည္ လူေ႐ြးပြဲ ၿပီးေနာက္တြင္, အဖြဲ႕ 4 ဖြဲ႕ခြဲ၍ စတင္မည္.  ပြဲစဥ္မ်ားမွာ  knockout လူေ႐ြးပြဲ, ေနာက္ဆုံးတြင္ ပထမ , ဒုတိယ,2nd runner up ေ႐ြးခ်ယ္မည္ \n2. 2nd runner up သည္ အဆင့္1- 4 အတြင္းမွ လူေ႐ြးပြဲ ရမွတ္ အနည္းအမ်ားေပၚမူတည္၍ ဆုံးျဖတ္မည္."},
	[4] = {id=4, title="ခန႔္မွန္းမႈစည္းမ်ဥ္း", desc="1. ၿပိဳင္ပြဲတိုင္းတြင္ ပြဲစဥ္တစ္ခုကိုေ႐ြးခ်ယ္ၿပီး ခန႔္မွန္းရပါမည္, ခန႔္မွန႔္မႈအပိုင္းတြင္ေလာင္းေၾကးထပ္ႏိုင္မည္.<div fontcolor=#d95014> ပြဲတိုင္းတြင္ တစ္ႀကိမ္သာ ေလာင္းေၾကးထပ္ႏိုင္မည္ , ေျပာင္းလဲ၍မရႏိုင္ပါ</div>\n2.  ၿပိဳင္ပြဲစတင္တိုင္းတြင္ ခန႔္မွန္းရန္ guess coin မ်ား ျဖန႔္ေဝေပးမည္ \n3.<div fontcolor=#d95014> ခန႔္မွန္းမႈမွန္ကန္ခဲ့လွ်င္ သတ္မွတ္ ထားေသာ ေလာင္းေၾကး guess coin မ်ာူရရွိမည္</div>, မွားခဲ့လွ်င္ ေလာင္းထားေသာ guess coin မ်ားကိုႏႈတ္ယူမည္\n4. ring match ပြဲစဥ္ ၿပီးဆုံးၿပီးေနာက္ guess coin သည္ အလိုအေလ်ာက္လဲလွယ္ေပးၿပီး ရမွတ္ store တြင္ items မ်ားကို လဲႏိုင္မည့္ နာမည္ကို ရရွိမည္."},
	[5] = {id=5, title="ဆုလာဒ္ေပးေဝျခင္း", desc="1.Ring match ပြဲစဥ္ ၿပီးဆုံးလွ်င္ ေနာက္ဆုံး ရမွတ္ ေပၚမူတည္၍ mail မွ တစ္ဆင့္ ဆုလာဒ္မ်ားကို ခ်ီးျမႇင့္ေပးပါမည္."}
}
Config.ArenaChampionData.data_explain_fun = function(key)
	local data=Config.ArenaChampionData.data_explain[key]
	if DATA_DEBUG and data == nil then
		print('(Config.ArenaChampionData.data_explain['..key..'])not found') return
	end
	return data
end
-- -------------------explain_end---------------------
